GNU bug report logs - #52286
28.0.90; [PATCH] Be consistent in naming of separators in context menu

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Jim Porter <jporterbugs@HIDDEN>; Keywords: patch wontfix; Done: Juri Linkov <juri@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 29.0.50, send any further explanations to 52286 <at> debbugs.gnu.org and Jim Porter <jporterbugs@HIDDEN> Request was from Juri Linkov <juri@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) wontfix. Request was from Juri Linkov <juri@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 52286 <at> debbugs.gnu.org:


Received: (at 52286) by debbugs.gnu.org; 15 Jan 2022 19:27:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 15 14:27:48 2022
Received: from localhost ([127.0.0.1]:41838 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n8oiJ-0005SS-Tx
	for submit <at> debbugs.gnu.org; Sat, 15 Jan 2022 14:27:48 -0500
Received: from relay7-d.mail.gandi.net ([217.70.183.200]:38999)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>)
 id 1n8oiI-0005SB-7s; Sat, 15 Jan 2022 14:27:46 -0500
Received: (Authenticated sender: juri@HIDDEN)
 by mail.gandi.net (Postfix) with ESMTPSA id 21EB320005;
 Sat, 15 Jan 2022 19:27:38 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#52286: 28.0.90; [PATCH] Be consistent in naming of
 separators in context menu
Organization: LINKOV.NET
References: <7a7d6b5c-ff5e-3d55-bef4-8ce8e163abdb@HIDDEN>
 <8335n75z4a.fsf@HIDDEN>
 <3788dcca-c2bd-99b2-b54d-463e12cd52c0@HIDDEN>
 <835ys349p2.fsf@HIDDEN>
 <dfd66624-89cf-4575-d466-107b56d0f146@HIDDEN>
 <8335n53nai.fsf@HIDDEN>
 <6faca77f-d732-d13e-2689-76e1e0943368@HIDDEN>
 <86sfto25ek.fsf@HIDDEN> <83ilukzub8.fsf@HIDDEN>
 <86tue4zu1j.fsf@HIDDEN> <83ee58ztus.fsf@HIDDEN>
Date: Sat, 15 Jan 2022 21:25:49 +0200
In-Reply-To: <83ee58ztus.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 15 Jan
 2022 21:23:07 +0200")
Message-ID: <86lezgztqa.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 52286
Cc: jporterbugs@HIDDEN, 52286 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

tags 52286 wontfix
close 52286 29.0.50
quit

>> >> Maybe it's too late to fix this inconsistency too?
>> >
>> > I don't even understand  why we should care about this nit.
>> 
>> For purely aesthetic purposes :-)
>
> I suggest to forget about this.  We have enough real problems on our
> hands.

Ok, so closing.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52286; Package emacs. Full text available.

Message received at 52286 <at> debbugs.gnu.org:


Received: (at 52286) by debbugs.gnu.org; 15 Jan 2022 19:23:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 15 14:23:37 2022
Received: from localhost ([127.0.0.1]:41823 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n8oeH-0005LU-Jc
	for submit <at> debbugs.gnu.org; Sat, 15 Jan 2022 14:23:37 -0500
Received: from eggs.gnu.org ([209.51.188.92]:35768)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1n8oeF-0005LC-Op
 for 52286 <at> debbugs.gnu.org; Sat, 15 Jan 2022 14:23:36 -0500
Received: from [2001:470:142:3::e] (port=34346 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1n8oeA-0002MZ-HZ; Sat, 15 Jan 2022 14:23:30 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=ENz6Rj9c+OL4B7SvNW/PxB+zu22sj/cdZnXtpezYT/U=; b=MKGyOG/4ysb6
 Urc3qlp4XPLyxDbscRSShU8twaJVLj5UTaCZKCjJGWwSZwL+juYpjkLpPg95IneuwgvMFYtLp+JNF
 BtA72wuBXihu+7V9e88Q8wAzkoEtiPwGCQQqap8hHwAGjKeGj5iFsV0ELnH/poAXTSQ5tOcmHwMIn
 vBeoA8O2YVY6b7eTbbWqHIg0Pa+b2PMp8LNpgn7hjOgqrwajJeJ+Nn6uS3qVTw533JDD7BfsAc/PS
 Kuq4V1QZwJQC7hdNbsMp3rk+wvkk4euLamyKrMG02MiWiS061DbFWEVG5vHdIRunw2rsq27mPaHsZ
 yo4AbCQ2J8O6Znulrmkz7Q==;
Received: from [87.69.77.57] (port=1249 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1n8oe8-0003rq-TJ; Sat, 15 Jan 2022 14:23:30 -0500
Date: Sat, 15 Jan 2022 21:23:07 +0200
Message-Id: <83ee58ztus.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
In-Reply-To: <86tue4zu1j.fsf@HIDDEN> (message from Juri Linkov on
 Sat, 15 Jan 2022 21:19:04 +0200)
Subject: Re: bug#52286: 28.0.90; [PATCH] Be consistent in naming of
 separators in context menu
References: <7a7d6b5c-ff5e-3d55-bef4-8ce8e163abdb@HIDDEN>
 <8335n75z4a.fsf@HIDDEN>
 <3788dcca-c2bd-99b2-b54d-463e12cd52c0@HIDDEN>
 <835ys349p2.fsf@HIDDEN>
 <dfd66624-89cf-4575-d466-107b56d0f146@HIDDEN>
 <8335n53nai.fsf@HIDDEN>
 <6faca77f-d732-d13e-2689-76e1e0943368@HIDDEN>
 <86sfto25ek.fsf@HIDDEN> <83ilukzub8.fsf@HIDDEN>
 <86tue4zu1j.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 52286
Cc: jporterbugs@HIDDEN, 52286 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Juri Linkov <juri@HIDDEN>
> Cc: jporterbugs@HIDDEN,  52286 <at> debbugs.gnu.org
> Date: Sat, 15 Jan 2022 21:19:04 +0200
> 
> >> With `-mode':
> >> 
> >>   lisp/help-mode.el
> >>   (defun help-mode-context-menu (menu click)
> >> 
> >>   lisp/textmodes/text-mode.el
> >>   (defun text-mode-context-menu (menu click)
> >> 
> >> Without `-mode':
> >> 
> >>   lisp/progmodes/prog-mode.el
> >>   (defun prog-context-menu (menu click)
> >> 
> >>   lisp/progmodes/elisp-mode.el
> >>   (defun elisp-context-menu (menu click)
> >> 
> >> Maybe it's too late to fix this inconsistency too?
> >
> > I don't even understand  why we should care about this nit.
> 
> For purely aesthetic purposes :-)

I suggest to forget about this.  We have enough real problems on our
hands.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52286; Package emacs. Full text available.

Message received at 52286 <at> debbugs.gnu.org:


Received: (at 52286) by debbugs.gnu.org; 15 Jan 2022 19:20:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 15 14:20:23 2022
Received: from localhost ([127.0.0.1]:41793 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n8ob9-0005Eq-HR
	for submit <at> debbugs.gnu.org; Sat, 15 Jan 2022 14:20:23 -0500
Received: from relay7-d.mail.gandi.net ([217.70.183.200]:57793)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1n8ob8-0005EX-Kq
 for 52286 <at> debbugs.gnu.org; Sat, 15 Jan 2022 14:20:23 -0500
Received: (Authenticated sender: juri@HIDDEN)
 by mail.gandi.net (Postfix) with ESMTPSA id C569420003;
 Sat, 15 Jan 2022 19:20:15 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#52286: 28.0.90; [PATCH] Be consistent in naming of
 separators in context menu
Organization: LINKOV.NET
References: <7a7d6b5c-ff5e-3d55-bef4-8ce8e163abdb@HIDDEN>
 <8335n75z4a.fsf@HIDDEN>
 <3788dcca-c2bd-99b2-b54d-463e12cd52c0@HIDDEN>
 <835ys349p2.fsf@HIDDEN>
 <dfd66624-89cf-4575-d466-107b56d0f146@HIDDEN>
 <8335n53nai.fsf@HIDDEN>
 <6faca77f-d732-d13e-2689-76e1e0943368@HIDDEN>
 <86sfto25ek.fsf@HIDDEN> <83ilukzub8.fsf@HIDDEN>
Date: Sat, 15 Jan 2022 21:19:04 +0200
In-Reply-To: <83ilukzub8.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 15 Jan
 2022 21:13:15 +0200")
Message-ID: <86tue4zu1j.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 52286
Cc: jporterbugs@HIDDEN, 52286 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>> With `-mode':
>> 
>>   lisp/help-mode.el
>>   (defun help-mode-context-menu (menu click)
>> 
>>   lisp/textmodes/text-mode.el
>>   (defun text-mode-context-menu (menu click)
>> 
>> Without `-mode':
>> 
>>   lisp/progmodes/prog-mode.el
>>   (defun prog-context-menu (menu click)
>> 
>>   lisp/progmodes/elisp-mode.el
>>   (defun elisp-context-menu (menu click)
>> 
>> Maybe it's too late to fix this inconsistency too?
>
> I don't even understand  why we should care about this nit.

For purely aesthetic purposes :-)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52286; Package emacs. Full text available.

Message received at 52286 <at> debbugs.gnu.org:


Received: (at 52286) by debbugs.gnu.org; 15 Jan 2022 19:13:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 15 14:13:52 2022
Received: from localhost ([127.0.0.1]:41767 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n8oUq-00052t-6N
	for submit <at> debbugs.gnu.org; Sat, 15 Jan 2022 14:13:52 -0500
Received: from eggs.gnu.org ([209.51.188.92]:60140)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1n8oUm-00052e-Q6
 for 52286 <at> debbugs.gnu.org; Sat, 15 Jan 2022 14:13:51 -0500
Received: from [2001:470:142:3::e] (port=34238 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1n8oUg-0000Dk-Pv; Sat, 15 Jan 2022 14:13:43 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=tWwmeLyyh2t/6Zn8drrme674KCdkNtmBlgXVojQ+V8A=; b=kx56mIe5ewU0
 aG2681mBwQ4h8aMmEjU246+hyNQyg9DTWeRzMmzWXm/hyCoHUAD5pXobU7Agia8er+/7aZ+cQ4iiH
 iVt8wSw12JIfkIP9KRdD07jtVPhOMjxhDwiAzWIxYqYiRY1KjHotbOoz1YHtp/C9f9b2872PSuquI
 jB2sGDqOMSr8FDMkOzgtVi6GrpfvWK36nIocp5KRyN9gXXYoIAk4e6O518pS0xBxXJIg0ejG3MLui
 U3F6LzhZ/sQlyTl5lVUU77AO6yJRa3RSzVreMBuucua3vkXIV7kqSIZq29whRz3NUpGLYrZ66biSg
 qqmkFocQCxkMfZzHvZcQWg==;
Received: from [87.69.77.57] (port=4621 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1n8oUZ-0002bL-JG; Sat, 15 Jan 2022 14:13:43 -0500
Date: Sat, 15 Jan 2022 21:13:15 +0200
Message-Id: <83ilukzub8.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
In-Reply-To: <86sfto25ek.fsf@HIDDEN> (message from Juri Linkov on
 Sat, 15 Jan 2022 20:57:39 +0200)
Subject: Re: bug#52286: 28.0.90; [PATCH] Be consistent in naming of
 separators in context menu
References: <7a7d6b5c-ff5e-3d55-bef4-8ce8e163abdb@HIDDEN>
 <8335n75z4a.fsf@HIDDEN>
 <3788dcca-c2bd-99b2-b54d-463e12cd52c0@HIDDEN>
 <835ys349p2.fsf@HIDDEN>
 <dfd66624-89cf-4575-d466-107b56d0f146@HIDDEN>
 <8335n53nai.fsf@HIDDEN>
 <6faca77f-d732-d13e-2689-76e1e0943368@HIDDEN>
 <86sfto25ek.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 52286
Cc: jporterbugs@HIDDEN, 52286 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Juri Linkov <juri@HIDDEN>
> Cc: Eli Zaretskii <eliz@HIDDEN>,  52286 <at> debbugs.gnu.org
> Date: Sat, 15 Jan 2022 20:57:39 +0200
> 
> With `-mode':
> 
>   lisp/help-mode.el
>   (defun help-mode-context-menu (menu click)
> 
>   lisp/textmodes/text-mode.el
>   (defun text-mode-context-menu (menu click)
> 
> Without `-mode':
> 
>   lisp/progmodes/prog-mode.el
>   (defun prog-context-menu (menu click)
> 
>   lisp/progmodes/elisp-mode.el
>   (defun elisp-context-menu (menu click)
> 
> Maybe it's too late to fix this inconsistency too?

I don't even understand  why we should care about this nit.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52286; Package emacs. Full text available.

Message received at 52286 <at> debbugs.gnu.org:


Received: (at 52286) by debbugs.gnu.org; 15 Jan 2022 18:59:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 15 13:59:54 2022
Received: from localhost ([127.0.0.1]:41751 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n8oHK-0004fA-E9
	for submit <at> debbugs.gnu.org; Sat, 15 Jan 2022 13:59:54 -0500
Received: from relay4-d.mail.gandi.net ([217.70.183.196]:58217)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1n8oHH-0004ep-UR
 for 52286 <at> debbugs.gnu.org; Sat, 15 Jan 2022 13:59:53 -0500
Received: (Authenticated sender: juri@HIDDEN)
 by mail.gandi.net (Postfix) with ESMTPSA id 65754E0002;
 Sat, 15 Jan 2022 18:59:43 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Jim Porter <jporterbugs@HIDDEN>
Subject: Re: bug#52286: 28.0.90; [PATCH] Be consistent in naming of
 separators in context menu
Organization: LINKOV.NET
References: <7a7d6b5c-ff5e-3d55-bef4-8ce8e163abdb@HIDDEN>
 <8335n75z4a.fsf@HIDDEN>
 <3788dcca-c2bd-99b2-b54d-463e12cd52c0@HIDDEN>
 <835ys349p2.fsf@HIDDEN>
 <dfd66624-89cf-4575-d466-107b56d0f146@HIDDEN>
 <8335n53nai.fsf@HIDDEN>
 <6faca77f-d732-d13e-2689-76e1e0943368@HIDDEN>
Date: Sat, 15 Jan 2022 20:57:39 +0200
In-Reply-To: <6faca77f-d732-d13e-2689-76e1e0943368@HIDDEN> (Jim Porter's
 message of "Sat, 11 Dec 2021 12:52:16 -0800")
Message-ID: <86sfto25ek.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 52286
Cc: Eli Zaretskii <eliz@HIDDEN>, 52286 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> It's not just for `elisp-mode'; any mode (or other third-party code) may
> want to insert context menu items in a certain spot. `middle-separator'
> follows the naming convention I recommend, but a hypothetical mode might
> want to insert a new item just after the separator for the Undo
> section. However, that's currently named `separator-undo' on master, so it
> can be confusing to remember the difference in naming between these two
> cases:
>
>   (define-key-after menu [my-separator] menu-bar-separator
>     'middle-separator)
>
>   (define-key-after menu [my-separator] menu-bar-separator
>     'separator-undo)

If it's too late to push this to the release branch,
then this definitely can't be done after the release.
So probably this bug report should be closed?

Meanwhile, I noticed another inconsistency
where context menus for some modes are named
with the -mode suffix, and some without it.

With `-mode':

  lisp/help-mode.el
  (defun help-mode-context-menu (menu click)

  lisp/textmodes/text-mode.el
  (defun text-mode-context-menu (menu click)

Without `-mode':

  lisp/progmodes/prog-mode.el
  (defun prog-context-menu (menu click)

  lisp/progmodes/elisp-mode.el
  (defun elisp-context-menu (menu click)

Maybe it's too late to fix this inconsistency too?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52286; Package emacs. Full text available.

Message received at 52286 <at> debbugs.gnu.org:


Received: (at 52286) by debbugs.gnu.org; 11 Dec 2021 20:52:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 11 15:52:29 2021
Received: from localhost ([127.0.0.1]:50097 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mw9M5-0001Xw-8J
	for submit <at> debbugs.gnu.org; Sat, 11 Dec 2021 15:52:29 -0500
Received: from mail-pj1-f44.google.com ([209.85.216.44]:39596)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jporterbugs@HIDDEN>) id 1mw9M0-0001Xh-E6
 for 52286 <at> debbugs.gnu.org; Sat, 11 Dec 2021 15:52:28 -0500
Received: by mail-pj1-f44.google.com with SMTP id
 y14-20020a17090a2b4e00b001a5824f4918so11871246pjc.4
 for <52286 <at> debbugs.gnu.org>; Sat, 11 Dec 2021 12:52:24 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=subject:to:cc:references:from:message-id:date:mime-version
 :in-reply-to:content-language;
 bh=g9sG1Ns/lUZwGzK8hN5h2OT+IUj8GLjGm+X7CKTpBJ4=;
 b=UJEEara/VnJxbOoB3wL6gnmWFVfZ4YxO2IdBH1FjdBtYnnoQSefFipr3436FGMskYK
 QF4LGBLTrPf2VqJyuGKZNlSYyRm18f3pKUYnqmsx3baCCZgTH6W/aMQf2mJmB2igvHe7
 JwRczrXAUSkXiDsXALuK1192HoY/ITeXLnhik8UMrFA5u8jYsWUe6GRDkn5fdBNDx8dL
 5b6hiXnM5ZH5E71UFwq8fsFPJuEXub9n1Jl7iEvIzz4miqy8LkRdi74HRNrZG+zJb5KF
 6dsbSvHTZ0MwH89IchCCMhEH4vOBQ7Q44Y2dMINJHk98tImFONymRoc5NVK2vzNxJVwv
 HHNQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:subject:to:cc:references:from:message-id:date
 :mime-version:in-reply-to:content-language;
 bh=g9sG1Ns/lUZwGzK8hN5h2OT+IUj8GLjGm+X7CKTpBJ4=;
 b=eW8P8u5/5kpzm/LoI9YRgboDNPKZRix3AIpyFJXXRYhYHPXbpMjBh3GchJRZU6iTwH
 ctv+0Bmb33YvG7X+Fq3dn7rj2+fdo1n7uato9IEERorz0zi/yRewnSihRWeo9Pjdvm8O
 gA3xE01ukyv3/o0FBmt4YJo55rnuc6bvGDkrqNPbVBeSAZRKAfS6v/05yDn+P9RZQB34
 L9JZFzUHzw14OLXJg6VbbShOUju7GzmjfrX1C/nHJ2YV26nArnGHZW4R8nNPSjC1ccjC
 unofl27HP9SyYqpQ7PSaKVEm+aPVdQI7w+cq8clznWfbLim8FCGEbqbaqmdFOxQfNQYZ
 cQNQ==
X-Gm-Message-State: AOAM532PaRsg6vnCUBfZ6m8ZtpE0cAa1vzg2wY6KBC3oxR6v9cwFFO95
 y2F/me+vB3JLMGqNYtXzdhKq/F0jjCU=
X-Google-Smtp-Source: ABdhPJz8un9+PYci/O2V3rBjCcHEkqZ1Jj1HH7JejcZos8KVZSTxA8r0QoLFg7tKOFgzumRGm3eCuA==
X-Received: by 2002:a17:902:b68f:b0:143:7bf7:c9cb with SMTP id
 c15-20020a170902b68f00b001437bf7c9cbmr84515099pls.7.1639255938492; 
 Sat, 11 Dec 2021 12:52:18 -0800 (PST)
Received: from [192.168.1.2] (cpe-76-168-148-233.socal.res.rr.com.
 [76.168.148.233])
 by smtp.googlemail.com with ESMTPSA id y25sm7072081pfa.12.2021.12.11.12.52.17
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Sat, 11 Dec 2021 12:52:17 -0800 (PST)
Subject: Re: bug#52286: 28.0.90; [PATCH] Be consistent in naming of separators
 in context menu
To: Eli Zaretskii <eliz@HIDDEN>
References: <7a7d6b5c-ff5e-3d55-bef4-8ce8e163abdb@HIDDEN>
 <8335n75z4a.fsf@HIDDEN> <3788dcca-c2bd-99b2-b54d-463e12cd52c0@HIDDEN>
 <835ys349p2.fsf@HIDDEN> <dfd66624-89cf-4575-d466-107b56d0f146@HIDDEN>
 <8335n53nai.fsf@HIDDEN>
From: Jim Porter <jporterbugs@HIDDEN>
Message-ID: <6faca77f-d732-d13e-2689-76e1e0943368@HIDDEN>
Date: Sat, 11 Dec 2021 12:52:16 -0800
MIME-Version: 1.0
In-Reply-To: <8335n53nai.fsf@HIDDEN>
Content-Type: multipart/mixed; boundary="------------0FC0FA047DA8EC957A508A3F"
Content-Language: en-US
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 52286
Cc: 52286 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This is a multi-part message in MIME format.
--------------0FC0FA047DA8EC957A508A3F
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit

On 12/6/2021 4:55 AM, Eli Zaretskii wrote:
> I think the most natural place is where we describe how to construct
> menus.

Thanks.

>> We can detect whether an item is a separator pretty easily without this
>> change. However, context menu functions use specific separators to
>> determine where exactly it should put new menu items. For example,
>> `elisp-context-menu' adds menu items after `middle-separator':
>>
>>       (define-key-after menu [elisp-separator] menu-bar-separator
>>         'middle-separator)
>>
>> (Later in the function, it adds the actual menu items after the
>> newly-added `elisp-separator'.)
> 
> If this is a private convention of elisp-mode, we don't have to codify
> it.

It's not just for `elisp-mode'; any mode (or other third-party code) may 
want to insert context menu items in a certain spot. `middle-separator' 
follows the naming convention I recommend, but a hypothetical mode might 
want to insert a new item just after the separator for the Undo section. 
However, that's currently named `separator-undo' on master, so it can be 
confusing to remember the difference in naming between these two cases:

   (define-key-after menu [my-separator] menu-bar-separator
     'middle-separator)

   (define-key-after menu [my-separator] menu-bar-separator
     'separator-undo)

> So maybe instead of conventions we should have recommendations, with
> explanation why following that could be useful in some situation.
> Then let Lisp programmers decide what they want.

Ok, I've tried to provide a brief explanation of the recommendation and 
the reasoning for it without *over*-explaining it. I also added a small 
explanation about how to use `menu-bar-separator', since I didn't see 
documentation on that in the manual, and it helped segue into an 
explanation about the naming recommendation.

--------------0FC0FA047DA8EC957A508A3F
Content-Type: text/plain; charset=UTF-8;
 name="0001-Rename-context-menu-separators-to-FOO-separator-for-.patch"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
 filename*0="0001-Rename-context-menu-separators-to-FOO-separator-for-.pa";
 filename*1="tch"
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--------------0FC0FA047DA8EC957A508A3F--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52286; Package emacs. Full text available.

Message received at 52286 <at> debbugs.gnu.org:


Received: (at 52286) by debbugs.gnu.org; 6 Dec 2021 12:55:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 06 07:55:57 2021
Received: from localhost ([127.0.0.1]:60758 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1muDXB-0007UW-Bf
	for submit <at> debbugs.gnu.org; Mon, 06 Dec 2021 07:55:57 -0500
Received: from eggs.gnu.org ([209.51.188.92]:53250)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1muDXA-0007UI-Ib
 for 52286 <at> debbugs.gnu.org; Mon, 06 Dec 2021 07:55:56 -0500
Received: from [2001:470:142:3::e] (port=49702 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1muDX5-00029x-8g; Mon, 06 Dec 2021 07:55:51 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=0RtWaUsOXxh4HKQRJK/tyeBQCHfPuutx53MChLdRYcQ=; b=C8gGpK7RL6ny
 /ZWHwtMToKwdgBFslDlPGhgbffmRs4wd5uhst5XN1VOn6TNWNCxvEvgXAE/oGmehpEgkVzG5k+6CY
 Igjn391FO8SgVGTaUVQCk3NZ1B7QE8jFUQRowfKDYeUisJ2/1gTzmLLZdn+WvvBktmQJ6kCNJeC+p
 TeU5E21PEpGWrsCYP8/Dfj48jissAsgXAkyMCXJjvlxJR2C89SIc2deukGgXLh0KweUQVc/lHEiHe
 B0DvDxxMnGRlw3dRJwiejQBPlU4hAWVVa/UOcLNNdzpGDAftKHF2yRz8szVSZgcdg9oV5+kI9ARBv
 04XlXqlZBkoB/YoHKwcQbw==;
Received: from [87.69.77.57] (port=1847 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1muDX5-0006kc-22; Mon, 06 Dec 2021 07:55:51 -0500
Date: Mon, 06 Dec 2021 14:55:49 +0200
Message-Id: <8335n53nai.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Jim Porter <jporterbugs@HIDDEN>
In-Reply-To: <dfd66624-89cf-4575-d466-107b56d0f146@HIDDEN> (message from
 Jim Porter on Sun, 5 Dec 2021 18:09:22 -0800)
Subject: Re: bug#52286: 28.0.90; [PATCH] Be consistent in naming of separators
 in context menu
References: <7a7d6b5c-ff5e-3d55-bef4-8ce8e163abdb@HIDDEN>
 <8335n75z4a.fsf@HIDDEN> <3788dcca-c2bd-99b2-b54d-463e12cd52c0@HIDDEN>
 <835ys349p2.fsf@HIDDEN> <dfd66624-89cf-4575-d466-107b56d0f146@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 52286
Cc: 52286 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: 52286 <at> debbugs.gnu.org
> From: Jim Porter <jporterbugs@HIDDEN>
> Date: Sun, 5 Dec 2021 18:09:22 -0800
> 
> >> If this change *is* ok to merge, I'll happily update the ELisp manual
> >> with a brief summary of the convention before it gets merged.
> > 
> > I'd like to hear opinions of others.  Meanwhile, having the proposed
> > convention spelled out in the manual would be good to make sure we are
> > all on the same page regarding the issue.
> 
> Ok, I'll start working on some documentation. Do you have any suggestion 
> on where it should go, or how general I should make it? (I could 
> document the convention specifically for separators, or I could try to 
> write up a more general guideline that could apply to any symbol name.)

I think the most natural place is where we describe how to construct
menus.

> > As for the issue itself: cannot we detect the separators in some more
> > robust way, one that doesn't depend on how they are named?  And if
> > that's not feasible, perhaps allow anything that has "separator" in
> > its name to be considered a separator?
> 
> We can detect whether an item is a separator pretty easily without this 
> change. However, context menu functions use specific separators to 
> determine where exactly it should put new menu items. For example, 
> `elisp-context-menu' adds menu items after `middle-separator':
> 
>      (define-key-after menu [elisp-separator] menu-bar-separator
>        'middle-separator)
> 
> (Later in the function, it adds the actual menu items after the 
> newly-added `elisp-separator'.)

If this is a private convention of elisp-mode, we don't have to codify
it.

> Still, this is a *very* small problem. I'm not sure third party packages 
> would want to insert context menu items after, say, `separator-undo'; a 
> user might customize `context-menu-functions' so that their menu doesn't 
> even *have* a separator of that name. In practice, it's possible almost 
> no one will even notice the different naming conventions.

So maybe instead of conventions we should have recommendations, with
explanation why following that could be useful in some situation.
Then let Lisp programmers decide what they want.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52286; Package emacs. Full text available.

Message received at 52286 <at> debbugs.gnu.org:


Received: (at 52286) by debbugs.gnu.org; 6 Dec 2021 02:09:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 05 21:09:31 2021
Received: from localhost ([127.0.0.1]:60141 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mu3Ra-0000Mz-Me
	for submit <at> debbugs.gnu.org; Sun, 05 Dec 2021 21:09:31 -0500
Received: from mail-pg1-f182.google.com ([209.85.215.182]:35712)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jporterbugs@HIDDEN>) id 1mu3RZ-0000Mf-Ag
 for 52286 <at> debbugs.gnu.org; Sun, 05 Dec 2021 21:09:29 -0500
Received: by mail-pg1-f182.google.com with SMTP id j11so9037149pgs.2
 for <52286 <at> debbugs.gnu.org>; Sun, 05 Dec 2021 18:09:29 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=subject:to:cc:references:from:message-id:date:mime-version
 :in-reply-to:content-language:content-transfer-encoding;
 bh=2SHLf4j5baLtpRIt/ocQEmS9BNG/XSNPDYW6dvAvU9w=;
 b=Gn+1OSgPrsWQzzB8IpqlFJ59sJlPlC9AxAjxQmOclfnyzjfG3iKDcN/46xFWlcvxGX
 Amw4YUaAhUS8vXKgzB1ILCzFpkY8oHWiOyq9IoXrUZHuIjHscMy2XnhPvMwICMHcQOUP
 p27/6x7McrGJi7ZJOhU5tGvIvag9A3ePgLVTBYNHpxM4h5PWE/bPMDksRTZnFnCMsBG6
 A8brMH7zXcAvs5PcTBgYNj49g2Pdbq9KzAwocaUHsM4mkHBCS3l0jdlQTyWoonB/wCYA
 /FgduXSg9p64Jf+Y7S11Kgg312sd0I55z4OKHIcUhKxn7qgBuLauJE2PxERJXgcmF2Gi
 kdHg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:subject:to:cc:references:from:message-id:date
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=2SHLf4j5baLtpRIt/ocQEmS9BNG/XSNPDYW6dvAvU9w=;
 b=lk1XuOqAy8t+Fr5gPhXtJzm9ti7nfvg70r8QJZkdeZSMiiVqJjctFMdSb4gOIkA/tv
 mSgBRuBLbl6igiZ/KovrA2rlOcauAo3Zy64EmdAG/bEYKw3DRN0HXbshN3XycmmRUDKS
 CkEV5T6MrJRp02Jbwzg2OrRrfZUpB64zEul17/jq+kEGOgBShqTWQL+IdPsrNzc987T3
 L9skGXY54f/Ln2DVRGcqEAOEONqhB7d8PU6q7/fO3ozk/CU+xLZyZAHJwewjNjW8+xzm
 QxP61KtNkioLeBii9/cALiqUm4chzMUY+6Ay9pgykYSOAGtFvbZCX0T5m6GQJgQjKhQR
 uUrg==
X-Gm-Message-State: AOAM530kNqJf6BcZOj20SVXKAS30nOSCXP7RY9zujF1nalX6cCdXDsgd
 ic/EsRSi7jgfr6CvmJdC38kA7rHaP4c=
X-Google-Smtp-Source: ABdhPJwT0A9eZrvc1MY/rUT94z+xY53VrI9xT5vXT/vozI0we/EnGpiZ9dUt1V4CHPyiUSG3Jhk7AA==
X-Received: by 2002:a63:8049:: with SMTP id j70mr16688445pgd.39.1638756563603; 
 Sun, 05 Dec 2021 18:09:23 -0800 (PST)
Received: from [192.168.1.2] (cpe-76-168-148-233.socal.res.rr.com.
 [76.168.148.233])
 by smtp.googlemail.com with ESMTPSA id x6sm7838825pga.14.2021.12.05.18.09.22
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Sun, 05 Dec 2021 18:09:23 -0800 (PST)
Subject: Re: bug#52286: 28.0.90; [PATCH] Be consistent in naming of separators
 in context menu
To: Eli Zaretskii <eliz@HIDDEN>
References: <7a7d6b5c-ff5e-3d55-bef4-8ce8e163abdb@HIDDEN>
 <8335n75z4a.fsf@HIDDEN> <3788dcca-c2bd-99b2-b54d-463e12cd52c0@HIDDEN>
 <835ys349p2.fsf@HIDDEN>
From: Jim Porter <jporterbugs@HIDDEN>
Message-ID: <dfd66624-89cf-4575-d466-107b56d0f146@HIDDEN>
Date: Sun, 5 Dec 2021 18:09:22 -0800
MIME-Version: 1.0
In-Reply-To: <835ys349p2.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 52286
Cc: 52286 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 12/5/2021 2:39 AM, Eli Zaretskii wrote:
>> Cc: 52286 <at> debbugs.gnu.org
>> From: Jim Porter <jporterbugs@HIDDEN>
>> Date: Sat, 4 Dec 2021 23:44:07 -0800
>>
>>> The first pretest of Emacs 28 is already out, so this problem is
>>> already with us, isn't it?
>>
>> If it's too late to change this, that's ok. I just noticed it while
>> working on the patch for bug#52237 and figured it'd be good to file a
>> bug about it while there's still a non-zero chance it could be changed.
>> It's a pretty minor issue, so I don't really mind if this gets closed as
>> wontfix.
>>
>> If this change *is* ok to merge, I'll happily update the ELisp manual
>> with a brief summary of the convention before it gets merged.
> 
> I'd like to hear opinions of others.  Meanwhile, having the proposed
> convention spelled out in the manual would be good to make sure we are
> all on the same page regarding the issue.

Ok, I'll start working on some documentation. Do you have any suggestion 
on where it should go, or how general I should make it? (I could 
document the convention specifically for separators, or I could try to 
write up a more general guideline that could apply to any symbol name.)

> As for the issue itself: cannot we detect the separators in some more
> robust way, one that doesn't depend on how they are named?  And if
> that's not feasible, perhaps allow anything that has "separator" in
> its name to be considered a separator?

We can detect whether an item is a separator pretty easily without this 
change. However, context menu functions use specific separators to 
determine where exactly it should put new menu items. For example, 
`elisp-context-menu' adds menu items after `middle-separator':

     (define-key-after menu [elisp-separator] menu-bar-separator
       'middle-separator)

(Later in the function, it adds the actual menu items after the 
newly-added `elisp-separator'.)

The only issue (though it's a small one) is that some of the separator 
names added to the context menu by default are named `FOO-separator' and 
others are named `separator-FOO'. I thought it might be hard to remember 
which was which without double-checking, so my patch converts all of the 
names to use the `FOO-separator' format.

Of course, as Juri Linkov's message points out, many already-existing 
separators use both naming schemes, and it's too late to change those. 
Since the context menu is new, I thought it would be worth converting to 
a consistent naming scheme if it's not too late.

Still, this is a *very* small problem. I'm not sure third party packages 
would want to insert context menu items after, say, `separator-undo'; a 
user might customize `context-menu-functions' so that their menu doesn't 
even *have* a separator of that name. In practice, it's possible almost 
no one will even notice the different naming conventions.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52286; Package emacs. Full text available.

Message received at 52286 <at> debbugs.gnu.org:


Received: (at 52286) by debbugs.gnu.org; 5 Dec 2021 18:09:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 05 13:09:14 2021
Received: from localhost ([127.0.0.1]:59356 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mtvwn-0000bn-T9
	for submit <at> debbugs.gnu.org; Sun, 05 Dec 2021 13:09:14 -0500
Received: from relay10.mail.gandi.net ([217.70.178.230]:41065)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1mtvwl-0000Yn-PM
 for 52286 <at> debbugs.gnu.org; Sun, 05 Dec 2021 13:09:13 -0500
Received: (Authenticated sender: juri@HIDDEN)
 by relay10.mail.gandi.net (Postfix) with ESMTPSA id 58FAA240002;
 Sun,  5 Dec 2021 18:09:03 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Jim Porter <jporterbugs@HIDDEN>
Subject: Re: bug#52286: 28.0.90; [PATCH] Be consistent in naming of
 separators in context menu
Organization: LINKOV.NET
References: <7a7d6b5c-ff5e-3d55-bef4-8ce8e163abdb@HIDDEN>
Date: Sun, 05 Dec 2021 19:52:41 +0200
In-Reply-To: <7a7d6b5c-ff5e-3d55-bef4-8ce8e163abdb@HIDDEN> (Jim Porter's
 message of "Sat, 4 Dec 2021 13:57:31 -0800")
Message-ID: <86wnkj6yzi.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 52286
Cc: 52286 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> This is spun off from bug#52237[1]. There's a minor issue with
> `context-menu-mode' where some of the separators are named `FOO-separator'
> and others are named `separator-FOO'. Since these separators are partially
> useful for context menu functions to find the right place to insert their
> items, this inconsistency could be pretty confusing for authors of those
> functions (e.g. in third-party packages).

While I agree that it would be nice to release Emacs 28 with consistent
menu separator names, the following list explains the current inconsistency
where part of separator names were based on one naming convention,
and part on another:

  lisp/cmuscheme.el
    (define-key map [separator-eval] '("--"))
  lisp/help-mode.el
    (define-key-after map [separator-1] menu-bar-separator)
  lisp/info.el
    (define-key-after map [separator-1] menu-bar-separator)
    (define-key-after map [separator-2] menu-bar-separator)
    (define-key-after map [separator-3] menu-bar-separator)
  lisp/international/mule-cmds.el
    (bindings--define-key map [separator-3] menu-bar-separator)
    (bindings--define-key map [separator-2] menu-bar-separator)
    (bindings--define-key map [separator-1] menu-bar-separator)
    (bindings--define-key map [separator-coding-system] menu-bar-separator)
    (bindings--define-key map [separator-input-method] menu-bar-separator)
    (bindings--define-key map [separator-mule] menu-bar-separator)
  lisp/menu-bar.el
    (bindings--define-key menu [separator-exit]
    (bindings--define-key menu [separator-print]
    (bindings--define-key menu [separator-tab]
    (bindings--define-key menu [separator-frame]
    (bindings--define-key menu [separator-window]
    (bindings--define-key menu [separator-save]
    (bindings--define-key menu [separator-tag-isearch]
    (bindings--define-key menu [separator-tag-search] menu-bar-separator)
    (bindings--define-key menu [separator-repeat-search]
    (bindings--define-key menu [separator-replace-tags]
    (bindings--define-key menu [separator-tag-file]
    (bindings--define-key menu [separator-xref]
    (bindings--define-key menu [separator-bookmark]
    (bindings--define-key menu [separator-search]
    (bindings--define-key menu [separator-undo] menu-bar-separator))
    (bindings--define-key menu [separator-1]
    (bindings--define-key menu [separator-2]
    (bindings--define-key menu [separator-3]
    (bindings--define-key menu [separator-keys]
    (bindings--define-key menu [separator-file]
    (bindings--define-key menu [separator-games]
    (bindings--define-key menu [separator-encryption-decryption]
    (bindings--define-key menu [separator-net]
    (bindings--define-key menu [separator-vc]
    (bindings--define-key menu [separator-compare]
    (bindings--define-key menu [separator-spell]
    (bindings--define-key menu [separator-prog]
    (bindings--define-key menu [separator-desc-mule]
  lisp/net/eudc.el
    (define-key map [separator-eudc-email] menu-bar-separator)
    (define-key map [separator-eudc-query] menu-bar-separator)
  lisp/progmodes/compile.el
    (define-key map [separator-2] nil)
    (define-key-after map [separator-compile] menu-bar-separator)
  lisp/tool-bar.el
    (define-key-after (default-value 'tool-bar-map) [separator-1] menu-bar-separator)
    (define-key-after (default-value 'tool-bar-map) [separator-2] menu-bar-separator)
    (define-key-after (default-value 'tool-bar-map) [separator-3] menu-bar-separator)
  lisp/vc/ediff-hook.el
    (define-key menu-bar-ediff-menu [separator-ediff-misc] menu-bar-separator)
    (define-key menu-bar-ediff-menu [separator-ediff-windows] menu-bar-separator)
    (define-key menu-bar-ediff-menu [separator-ediff-regions] menu-bar-separator)
    (define-key menu-bar-ediff-menu [separator-ediff-directories] menu-bar-separator)
    (define-key menu-bar-ediff-menu [separator-ediff-files] menu-bar-separator)
    (define-key menu-bar-ediff-merge-menu [separator-ediff-merge] menu-bar-separator)
    menu-bar-ediff-merge-menu [separator-ediff-merge-dirs] menu-bar-separator)
  lisp/vc/vc-dir.el
    (define-key-after map [separator-1] menu-bar-separator)
    (define-key-after map [separator-2] menu-bar-separator)
    (define-key-after map [separator-3] menu-bar-separator)

And another naming convention:

  lisp/cedet/cedet.el
    (define-key map [semantic-options-separator] #'undefined)
    (define-key map [cedet-menu-separator] #'undefined)
  lisp/cedet/ede.el
    (define-key cedet-menu-map [cedet-menu-separator] '("--")))
    (define-key cedet-menu-map [cedet-menu-separator] nil)
  lisp/cedet/semantic.el
    (define-key edit-menu [semantic-completion-separator]
    (define-key edit-menu [semantic-edit-separator]
    (define-key navigate-menu [semantic-narrow-to-defun-separator]
    (define-key navigate-menu [semantic-navigation-separator]
    (define-key cedet-menu-map [semantic-options-separator]
    (define-key cedet-menu-map [cedet-menu-separator] '("--")))
    (define-key cedet-menu-map [cedet-menu-separator] nil)
    (define-key cedet-menu-map [semantic-options-separator] nil)
  lisp/international/iso-cvt.el
    (define-key menu [load-as-separator] '("--"))
    (define-key menu [translate-separator] '("--"))
  lisp/menu-bar.el
    (bindings--define-key menu [scrollbar-separator]
    (bindings--define-key menu [linecolumn-separator]
    (bindings--define-key menu [datetime-separator]
    (bindings--define-key menu [custom-separator]
    (bindings--define-key menu [custom-separator]
    (bindings--define-key menu [showhide-separator]
    (bindings--define-key menu [mule-separator]
    (bindings--define-key menu [debugger-separator]
    (bindings--define-key menu [cursor-separator]
    (bindings--define-key menu [edit-options-separator]
    (bindings--define-key menu [highlight-separator]
  lisp/net/newst-plainview.el
    (define-key map [newsticker-separator-1]
    (define-key map [newsticker-separator-2]
    (define-key map [newsticker-separator-3]
    (define-key map [newsticker-separator-4]
  lisp/so-long.el
    (define-key-after map [so-long-actions-separator]
    (define-key-after map [so-long-help-separator]




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52286; Package emacs. Full text available.

Message received at 52286 <at> debbugs.gnu.org:


Received: (at 52286) by debbugs.gnu.org; 5 Dec 2021 10:39:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 05 05:39:49 2021
Received: from localhost ([127.0.0.1]:56454 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mtovt-0006Yo-Lt
	for submit <at> debbugs.gnu.org; Sun, 05 Dec 2021 05:39:49 -0500
Received: from eggs.gnu.org ([209.51.188.92]:51384)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mtovr-0006YT-Ti
 for 52286 <at> debbugs.gnu.org; Sun, 05 Dec 2021 05:39:48 -0500
Received: from [2001:470:142:3::e] (port=36490 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mtovm-0002NE-LO; Sun, 05 Dec 2021 05:39:42 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=kCT1G5PbFa+ebucijbdR5JJMVVAm9Q+xp1w0ScWvStY=; b=cOeb1M3VTGV8
 XmGwQOvnWq3WIYOovj9v4CQmbvL49OMYvxNa0aQ4lZhLwVO58huuXGk2zMNL/KG77TLsJTvavkCA6
 SB/KWjxdWHWd/gpIxDWas1NJtDQqWA0DkixADNS8VasJrLtKm0+x+JHqUsSU6taGkxnSajz2Li+ph
 Xf5Hg+JgBu7MEM39LcnvnLyAAW3oMrnp+y5/q4FQEEZVaP/rrnfDDluIWHnFLeAsCOWbOu/djHPr8
 A88Kgni4lysrXtgMpqioJbDHVFpuDU32shAqRrxeCH3vIHelmQtbH28fMeeL76VHZig2F/LRjLgXf
 OiFf5/EcAayErXemKeH7gg==;
Received: from [87.69.77.57] (port=3774 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mtovm-0007NL-Eb; Sun, 05 Dec 2021 05:39:42 -0500
Date: Sun, 05 Dec 2021 12:39:37 +0200
Message-Id: <835ys349p2.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Jim Porter <jporterbugs@HIDDEN>
In-Reply-To: <3788dcca-c2bd-99b2-b54d-463e12cd52c0@HIDDEN> (message from
 Jim Porter on Sat, 4 Dec 2021 23:44:07 -0800)
Subject: Re: bug#52286: 28.0.90; [PATCH] Be consistent in naming of separators
 in context menu
References: <7a7d6b5c-ff5e-3d55-bef4-8ce8e163abdb@HIDDEN>
 <8335n75z4a.fsf@HIDDEN> <3788dcca-c2bd-99b2-b54d-463e12cd52c0@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 52286
Cc: 52286 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: 52286 <at> debbugs.gnu.org
> From: Jim Porter <jporterbugs@HIDDEN>
> Date: Sat, 4 Dec 2021 23:44:07 -0800
> 
> > The first pretest of Emacs 28 is already out, so this problem is
> > already with us, isn't it?
> 
> If it's too late to change this, that's ok. I just noticed it while 
> working on the patch for bug#52237 and figured it'd be good to file a 
> bug about it while there's still a non-zero chance it could be changed. 
> It's a pretty minor issue, so I don't really mind if this gets closed as 
> wontfix.
> 
> If this change *is* ok to merge, I'll happily update the ELisp manual 
> with a brief summary of the convention before it gets merged.

I'd like to hear opinions of others.  Meanwhile, having the proposed
convention spelled out in the manual would be good to make sure we are
all on the same page regarding the issue.

As for the issue itself: cannot we detect the separators in some more
robust way, one that doesn't depend on how they are named?  And if
that's not feasible, perhaps allow anything that has "separator" in
its name to be considered a separator?

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52286; Package emacs. Full text available.

Message received at 52286 <at> debbugs.gnu.org:


Received: (at 52286) by debbugs.gnu.org; 5 Dec 2021 10:04:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 05 05:04:47 2021
Received: from localhost ([127.0.0.1]:56419 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mtoNz-0004ws-Dr
	for submit <at> debbugs.gnu.org; Sun, 05 Dec 2021 05:04:47 -0500
Received: from relay7-d.mail.gandi.net ([217.70.183.200]:48435)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1mtoNx-0004vk-0N
 for 52286 <at> debbugs.gnu.org; Sun, 05 Dec 2021 05:04:45 -0500
Received: (Authenticated sender: juri@HIDDEN)
 by relay7-d.mail.gandi.net (Postfix) with ESMTPSA id E357920002;
 Sun,  5 Dec 2021 10:04:37 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#52286: 28.0.90; [PATCH] Be consistent in naming of
 separators in context menu
Organization: LINKOV.NET
References: <7a7d6b5c-ff5e-3d55-bef4-8ce8e163abdb@HIDDEN>
 <8335n75z4a.fsf@HIDDEN>
Date: Sun, 05 Dec 2021 11:37:10 +0200
In-Reply-To: <8335n75z4a.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 05 Dec
 2021 08:45:09 +0200")
Message-ID: <86r1ar9xz5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 52286
Cc: Jim Porter <jporterbugs@HIDDEN>, 52286 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>> Hopefully this is a small enough change to make it into Emacs 28, since
>> otherwise I think we'd just have to live with the names as they are
>> forever.
>
> The first pretest of Emacs 28 is already out, so this problem is
> already with us, isn't it?

The problem will appear after the packages will start to build
own context menus after the release.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52286; Package emacs. Full text available.

Message received at 52286 <at> debbugs.gnu.org:


Received: (at 52286) by debbugs.gnu.org; 5 Dec 2021 07:44:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 05 02:44:15 2021
Received: from localhost ([127.0.0.1]:56206 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mtmBz-0000K1-9L
	for submit <at> debbugs.gnu.org; Sun, 05 Dec 2021 02:44:15 -0500
Received: from mail-pl1-f171.google.com ([209.85.214.171]:44737)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jporterbugs@HIDDEN>) id 1mtmBx-0000Jn-Jb
 for 52286 <at> debbugs.gnu.org; Sun, 05 Dec 2021 02:44:14 -0500
Received: by mail-pl1-f171.google.com with SMTP id q17so4990437plr.11
 for <52286 <at> debbugs.gnu.org>; Sat, 04 Dec 2021 23:44:13 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=subject:to:cc:references:from:message-id:date:mime-version
 :in-reply-to:content-language:content-transfer-encoding;
 bh=E0l9zNmKsrBlZfwr4Bz1wee1RXMx8aZIbrWUv5Gp0hs=;
 b=Dqy6B3QdzE8xCa3q1EkmpFJvR8z7WkrIUP0Wy3GNqf9o/PISS2eIrVoQj5Di2sFQYJ
 iUckR4jriliJtwlUNAH07AErSzcjBkhJBiy3ue/WIyGV1x6LKQulBFP/4FSEtG118TzS
 DgTnaKN1iFCOEwBe62IIc2sTJktetIX/ydoMG3saNWJbdkt7Ue8P6aqMAZvp8Iu6oYV2
 XDJL2oMTsZ1jMgg028G6yaszlBoG8WetW6ohSDB+wU6UYsr03Z1gzxmLlUwK1jzQFu/X
 Iof+LCP01521mzdEJRIBIoISWm3lZdpR10RADev1KJX54a6+2UwFJrzzGcpPzedaJ/8g
 pkLA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:subject:to:cc:references:from:message-id:date
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=E0l9zNmKsrBlZfwr4Bz1wee1RXMx8aZIbrWUv5Gp0hs=;
 b=bo6CqYRADKn7PVoXfoSOmPWLeu8Q3YSv6Uaf/hhijQ+5gDmoIQIAvQtM49OEpCDG6Z
 m44zmf8LHN9CtqvrAhfJJh5d1m+xAjU7UJEVhqTiNZJ8XfvYGbPVHjFFeiS9E/W/vuzO
 eHAOg3zAdKpMeOk1nY2PEl6PCmVF5wE1k9JWWvSsZ9SVxZdUANs26dzvZjupNRV693Vj
 EC8O83xblLTLa2tR5f85iks0g3Zwb5ED+v/GNcalLi1dyTrjzM7LXG7CQu8dk0Qd19Wr
 iBhe1PpCfw68uTL9pmPZYwt2be4DjT/xzFz6/Yli4YM/km3jMlpxKPzI4JzQa8I0ei+g
 ePeA==
X-Gm-Message-State: AOAM530suflfHpUryyeH3de/YMP1cBTFaQAbl+0cnHQufmC8t5bQDHdh
 eazdEj1SjLzFu4G4H2GKN8fdteJV6BU=
X-Google-Smtp-Source: ABdhPJyRuN6pyghN2wVdTIJ+TDwXVLbQrTjH6RStLJtgT2Tc/qBeqWqKkuiI0G7MTKB0ZJ4T32b+qA==
X-Received: by 2002:a17:902:e8d4:b0:143:88c2:e2c9 with SMTP id
 v20-20020a170902e8d400b0014388c2e2c9mr35646601plg.12.1638690247716; 
 Sat, 04 Dec 2021 23:44:07 -0800 (PST)
Received: from [192.168.1.2] (cpe-76-168-148-233.socal.res.rr.com.
 [76.168.148.233])
 by smtp.googlemail.com with ESMTPSA id r6sm6608497pjg.21.2021.12.04.23.44.06
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Sat, 04 Dec 2021 23:44:07 -0800 (PST)
Subject: Re: bug#52286: 28.0.90; [PATCH] Be consistent in naming of separators
 in context menu
To: Eli Zaretskii <eliz@HIDDEN>
References: <7a7d6b5c-ff5e-3d55-bef4-8ce8e163abdb@HIDDEN>
 <8335n75z4a.fsf@HIDDEN>
From: Jim Porter <jporterbugs@HIDDEN>
Message-ID: <3788dcca-c2bd-99b2-b54d-463e12cd52c0@HIDDEN>
Date: Sat, 4 Dec 2021 23:44:07 -0800
MIME-Version: 1.0
In-Reply-To: <8335n75z4a.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 52286
Cc: 52286 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 12/4/2021 10:45 PM, Eli Zaretskii wrote:
>> From: Jim Porter <jporterbugs@HIDDEN>
>> Date: Sat, 4 Dec 2021 13:57:31 -0800
>>
>> This is spun off from bug#52237[1]. There's a minor issue with
>> `context-menu-mode' where some of the separators are named
>> `FOO-separator' and others are named `separator-FOO'.
[snip]
> 
> If you want to introduce a convention that others should follow, this
> convention should be documented in the ELisp manual.
> 
>> Hopefully this is a small enough change to make it into Emacs 28, since
>> otherwise I think we'd just have to live with the names as they are
>> forever.
> 
> The first pretest of Emacs 28 is already out, so this problem is
> already with us, isn't it?

If it's too late to change this, that's ok. I just noticed it while 
working on the patch for bug#52237 and figured it'd be good to file a 
bug about it while there's still a non-zero chance it could be changed. 
It's a pretty minor issue, so I don't really mind if this gets closed as 
wontfix.

If this change *is* ok to merge, I'll happily update the ELisp manual 
with a brief summary of the convention before it gets merged.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52286; Package emacs. Full text available.

Message received at 52286 <at> debbugs.gnu.org:


Received: (at 52286) by debbugs.gnu.org; 5 Dec 2021 06:45:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 05 01:45:21 2021
Received: from localhost ([127.0.0.1]:56133 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mtlGz-00072p-If
	for submit <at> debbugs.gnu.org; Sun, 05 Dec 2021 01:45:21 -0500
Received: from eggs.gnu.org ([209.51.188.92]:45186)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mtlGy-00072c-I7
 for 52286 <at> debbugs.gnu.org; Sun, 05 Dec 2021 01:45:21 -0500
Received: from [2001:470:142:3::e] (port=60222 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mtlGt-0000po-A8; Sun, 05 Dec 2021 01:45:15 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=9qgk6JOh6zQT8XkAUWFbCB1jpZTj2CRsN2N9/g0LZ5Y=; b=CYt85qcqcvku
 58f9hPOeZT5VdhBwkekXVheQa0u4xRZ/plkjBx7LWlpzvX/p+vS0PaVBbV+0yZMtX/8nLKxzWpgZY
 usI3bnG15k176YC1Foio3t132NB0fGoOgkD6FYy6gwyRB1CbuJkzdRxjvZGq/c0XeHFsL0Z71lTTP
 T2D9zMQJtQQNrUD907ZDJQAK3sfhnWazBvdwvXFYLsgbdYBO+8MUs97rgkHuRmbi2RYYWLtkMhAKj
 neRzbkKD99G3649z+R7mvOMdPN8RJ+aWnv4Wwq5LcB5LqX+PlIQxCSerZRz4Gghjwx/TVQdjPnnjY
 szEktBs6VsJW/cm+DqD19w==;
Received: from [87.69.77.57] (port=1130 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mtlGt-0004qE-2D; Sun, 05 Dec 2021 01:45:15 -0500
Date: Sun, 05 Dec 2021 08:45:09 +0200
Message-Id: <8335n75z4a.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Jim Porter <jporterbugs@HIDDEN>
In-Reply-To: <7a7d6b5c-ff5e-3d55-bef4-8ce8e163abdb@HIDDEN> (message from
 Jim Porter on Sat, 4 Dec 2021 13:57:31 -0800)
Subject: Re: bug#52286: 28.0.90;
 [PATCH] Be consistent in naming of separators in context menu
References: <7a7d6b5c-ff5e-3d55-bef4-8ce8e163abdb@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 52286
Cc: 52286 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Jim Porter <jporterbugs@HIDDEN>
> Date: Sat, 4 Dec 2021 13:57:31 -0800
> 
> This is spun off from bug#52237[1]. There's a minor issue with 
> `context-menu-mode' where some of the separators are named 
> `FOO-separator' and others are named `separator-FOO'. Since these 
> separators are partially useful for context menu functions to find the 
> right place to insert their items, this inconsistency could be pretty 
> confusing for authors of those functions (e.g. in third-party packages).

If you want to introduce a convention that others should follow, this
convention should be documented in the ELisp manual.

> Hopefully this is a small enough change to make it into Emacs 28, since 
> otherwise I think we'd just have to live with the names as they are 
> forever.

The first pretest of Emacs 28 is already out, so this problem is
already with us, isn't it?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52286; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 4 Dec 2021 21:57:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 04 16:57:39 2021
Received: from localhost ([127.0.0.1]:55543 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mtd2J-0003if-00
	for submit <at> debbugs.gnu.org; Sat, 04 Dec 2021 16:57:39 -0500
Received: from lists.gnu.org ([209.51.188.17]:34034)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jporterbugs@HIDDEN>) id 1mtd2H-0003iY-6E
 for submit <at> debbugs.gnu.org; Sat, 04 Dec 2021 16:57:37 -0500
Received: from eggs.gnu.org ([209.51.188.92]:57852)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <jporterbugs@HIDDEN>)
 id 1mtd2G-0002Ha-UK
 for bug-gnu-emacs@HIDDEN; Sat, 04 Dec 2021 16:57:36 -0500
Received: from [2607:f8b0:4864:20::532] (port=38834
 helo=mail-pg1-x532.google.com)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <jporterbugs@HIDDEN>)
 id 1mtd2E-0000w1-LT
 for bug-gnu-emacs@HIDDEN; Sat, 04 Dec 2021 16:57:36 -0500
Received: by mail-pg1-x532.google.com with SMTP id s137so6625422pgs.5
 for <bug-gnu-emacs@HIDDEN>; Sat, 04 Dec 2021 13:57:33 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:subject:to:message-id:date:mime-version:content-language;
 bh=B88urDiJoRDtag7p7LI3GhO1hfBcuHOom4GrP4r4Ors=;
 b=pmTLmbqNto7wDnJ2TLoivoPY7R+pkGwLnGfVlI3aNeNmkzUeqXSlKjHLakR9Q/2eDX
 Qvvjp+lri3WbDl+xbJvUKfjlbPMdRs4IeddEjO8AC4cqoXioIomqMmFDLSOKx5aXsXyl
 bGKt225dq12ktzoSzkc9GaPuYtilFKLJsB0hANJo0sK67bpLFE2PFVF2nyERvGzZvpfv
 uSpzIuimYLCFUZUhGxJtwUWRlqp7vuvXjdSBgX51K6QbTjb98ngij0rWAai/FjU+MRpe
 BVz1otB1K0NZOtABSCNMVnf+h9BFXhDLZBF4+Yb1FZIIl9O5XNsd4BC99vecCjhWywRt
 C9Jg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:subject:to:message-id:date:mime-version
 :content-language;
 bh=B88urDiJoRDtag7p7LI3GhO1hfBcuHOom4GrP4r4Ors=;
 b=aD3lwdaoyaehA26uSINX8hH9G6M59LZzx3EeWa7xiup3fUNjAH8rq6J7ty+aJV77rh
 eRPhkRHWqlgM5P3TWavJPboI33ReATq47DnCmaV20IJFnomtngbG/OT1MAESfnnYE7Og
 LXGMjMqucGe+jrtq1kQxFgsW6xNa4Mpi9KwTvxoM0KU2deBPBFAdUuwxfKsRgKKcypcd
 o6IEAWmkHncEO7qHVeCT/wF8EKJZ5s6ehQk1ovGmIbgDjxTb2o2lch+QLAI4nOsTJz/W
 MBMf862dW+wjNgSmINFIUSpoww3ZV4/QT11RKbtiA/d130wnJXsH3Zf4MGQ7Eee0b+iA
 h2mg==
X-Gm-Message-State: AOAM533g0yxNn1mFEnGE8oo/dOUNqO9RL6tmuQKbxs37HoES3ARPuKiu
 e+fpEfROo/tZBe66ZMMFaYU927ub5AA=
X-Google-Smtp-Source: ABdhPJzQDIP32P/RBbcwHBZaGn/p68v0NPX7+c9LD3BKOxZ52tu2D4L5FdR0z2Ez6r2qTlZeLobWMQ==
X-Received: by 2002:a65:621a:: with SMTP id d26mr11168071pgv.410.1638655052804; 
 Sat, 04 Dec 2021 13:57:32 -0800 (PST)
Received: from [192.168.1.2] (cpe-76-168-148-233.socal.res.rr.com.
 [76.168.148.233])
 by smtp.googlemail.com with ESMTPSA id na13sm6154623pjb.11.2021.12.04.13.57.31
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Sat, 04 Dec 2021 13:57:32 -0800 (PST)
X-Mozilla-News-Host: news://news.gmane.org:119
From: Jim Porter <jporterbugs@HIDDEN>
Subject: 28.0.90; [PATCH] Be consistent in naming of separators in context menu
To: bug-gnu-emacs@HIDDEN
Message-ID: <7a7d6b5c-ff5e-3d55-bef4-8ce8e163abdb@HIDDEN>
Date: Sat, 4 Dec 2021 13:57:31 -0800
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="------------4A51E646EB9F8560DABC9610"
Content-Language: en-US
X-Host-Lookup-Failed: Reverse DNS lookup failed for 2607:f8b0:4864:20::532
 (failed)
Received-SPF: pass client-ip=2607:f8b0:4864:20::532;
 envelope-from=jporterbugs@HIDDEN; helo=mail-pg1-x532.google.com
X-Spam_score_int: -12
X-Spam_score: -1.3
X-Spam_bar: -
X-Spam_report: (-1.3 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 PDS_HP_HELO_NORDNS=0.001, RCVD_IN_DNSWL_NONE=-0.0001, RDNS_NONE=0.793,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

This is a multi-part message in MIME format.
--------------4A51E646EB9F8560DABC9610
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit

This is spun off from bug#52237[1]. There's a minor issue with 
`context-menu-mode' where some of the separators are named 
`FOO-separator' and others are named `separator-FOO'. Since these 
separators are partially useful for context menu functions to find the 
right place to insert their items, this inconsistency could be pretty 
confusing for authors of those functions (e.g. in third-party packages).

This patch renames the separators to `FOO-separator' following the logic 
in the above-linked comment (in short, `FOO' is a noun adjunct modifying 
the actual object: a separator). To verify that I changed all the 
appropriate places and didn't miss anything, I ran the following command 
and manually looked over all the results to eliminate false positives:

   ag '(?<![\w-])separator-+[A-Za-z][\w-]*' ../lisp -G '.*\.el$'

I've tested the patch on both Emacs 28 and 29 and don't see any issues 
in either.

Hopefully this is a small enough change to make it into Emacs 28, since 
otherwise I think we'd just have to live with the names as they are 
forever. It wouldn't be very nice to change these names after third 
parties had come to rely on them in Emacs 28, after all.

[1] https://lists.gnu.org/archive/html/bug-gnu-emacs/2021-12/msg00312.html

--------------4A51E646EB9F8560DABC9610
Content-Type: text/plain; charset=UTF-8;
 name="0001-Rename-context-menu-separators-to-FOO-separator-for-.patch"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
 filename*0="0001-Rename-context-menu-separators-to-FOO-separator-for-.pa";
 filename*1="tch"
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--------------4A51E646EB9F8560DABC9610--




Acknowledgement sent to Jim Porter <jporterbugs@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#52286; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 15 Jan 2022 19:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.